Package org.gradle.api.problems

# Interface FileLocation

All Superinterfaces:
  `ProblemLocation`

All Known Subinterfaces:
  `LineInFileLocation`, `OffsetInFileLocation`

@Incubating public interface FileLocation extends ProblemLocation
A file location.

Since:
  8.13

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPath()`
  The path to the file.

- ## Method Details

  - ### getPath

    String getPath()
    The path to the file.
    Returns:
      the file path
    Since:
      8.13